Subject: Re: Minor bug in bash completion

From: Sylvain Rabot <[email-masked]>
Date: Wed, 30 Dec 2009 18:59:38 +0100

On Wed, 2009-12-30 at 12:22 +0100, SZEDER Gábor wrote:
> Hi Sylvain,
> 
> 
> On Tue, Dec 29, 2009 at 03:36:58PM +0100, Sylvain RABOT wrote:
> > I found a bug in the git bash completion.
> > It occurs when I press tab to complete branch name when I want to pull  
> > from the origin.
> > Instead of completing the branch name it prompts me directly for my  
> > password on the origin remote.
> 
> I don't think it's a bug.  The completion script should offer the
> currently available refs in the remote repository after a 'git pull
> <remote> <TAB>'.  In order to do that it contacts the remote
> repository for the list of refs available there.  Depending on the
> access method, it might need to authenticate, in your case via ssh.
> To silence the password prompts you should change your ssh
> configuration to use key-based authentication when logging in to the
> remote repository's server (just google for 'ssh login without
> password').
> 
> 
> Best,
> Gábor

Haaa,

I understand now, tough, I thought that the list of origin's branches
where stored somewhere in my local repository and that I needed to do a
"git remote update origin" to get the current origin branches list.

Thanks for your answer.

Regards.

-- 
Sylvain Rabot <[email-masked]>